%def_with desktopfile

Name: blender
Version: 2.45
Release: alt0.M40.2

Summary: 3D modeler
License: GPL
Group: Graphics
URL: http://www.blender.org/
Packager: Sergei Epiphanov <serpiph@altlinux.ru>

Source0: http://download.blender.org/source/%name-%version.tar.gz
Source1: %name-wrapper
Source2: %name-16.png
Source3: %name-32.png
Source4: %name.menu
Source5: %name-win.menu
Source6: %name.desktop
Source7: %name-win.desktop
Source8: http://download.blender.org/source/%name-%version.tar.gz.md5sum
Patch1: %name-2.41-alt-config_options.patch
Patch2: %name-2.41-openal_source.patch
Patch3: %name-2.41-tiff4.patch
Patch4: %name-2.45-fix-temp.patch

Requires: python = %__python_version
Requires: libtiff >= 3.0

# Automatically added by buildreq on Sun Mar 05 2006
BuildRequires: esound flex libfreetype-devel gcc-c++ openexr-devel
BuildRequires: ghostscript-classic ghostscript-utils
BuildRequires: glibc-devel libSDL-devel libX11-devel libXi-devel
BuildRequires: libftgl-devel libjpeg-devel libmesa-devel
BuildRequires: libopenal-devel libpng-devel libstdc++-devel
BuildRequires: libtiff-devel pkg-config python-base python-dev
BuildRequires: python-modules-compiler python-modules-encodings
BuildRequires: scons tetex-core tetex-dvips tetex-latex xorg-x11-proto-devel
BuildRequires: zlib-devel libavcodec-devel libavformat-devel
BuildRequires: gettext-tools-python python-tools-i18n libnspr-devel
BuildRequires: iconv glibc-gconv-modules glibc-i18ndata

#Add blender scripts directories
#%%add_python_lib_path %%_libdir/%%name
#%%add_python_lib_path %%_libdir/%%name/scripts
#%%add_python_lib_path %%_libdir/%%uname/scripts/bpymodules

#Skip these modules from adding (compiled into blender)
%add_python_req_skip bpy boxpack2d 3ds_export 3ds_import API_intro API_related
%add_python_req_skip Armature Axiscopy BGL BPyAddMesh BPyArmature BPyBlender
%add_python_req_skip BPyCurve BPyImage BPyMathutils BPyMesh BPyMesh_octree
%add_python_req_skip BPyMesh_redux BPyMessages BPyNMesh BPyObject BPyRegistry
%add_python_req_skip BPyRender BPySys BPyWindow BezTriple Blender Bpy Bpy_config
%add_python_req_skip Bpy_data Camera Constraint Curve DirectX8Exporter
%add_python_req_skip DirectX8Importer Draw Effect Font Geometry Group IDProp
%add_python_req_skip IDPropBrowser Image Ipo IpoCurve Key Lamp Lattice LibData
%add_python_req_skip Library Material Mathutils Mesh MeshPrimitives Metaball
%add_python_req_skip Modifier NLA NMesh Noise Object Pose Radio Registry Render
%add_python_req_skip Scene Sound Sys Text Text3d Texture Theme TimeLine Types
%add_python_req_skip Window World ac3d_export ac3d_import add_mesh_torus ai2obj
%add_python_req_skip animation_trajectory armature_symmetry bevel_center
%add_python_req_skip blenderLipSynchro bvh_import camera_changer colladaExport14
%add_python_req_skip colladaImEx colladaImEx.collada colladaImEx.cstartup
%add_python_req_skip colladaImEx.cutils colladaImEx.helperObjects
%add_python_req_skip colladaImEx.translator colladaImEx.xmlUtils colladaImport14
%add_python_req_skip collada_export collada_import config console defaultdoodads
%add_python_req_skip discombobulator dxfColorMap dxfImportObjects dxfReader
%add_python_req_skip envelope_symmetry eps2obj export-iv-0.1 export_cal3d
%add_python_req_skip export_fbx export_lightwave_motion export_map export_mdd
%add_python_req_skip export_obj faceselect_same_weights flt_export flt_filewalker
%add_python_req_skip flt_import gimp2obj help_bpy_api help_browser
%add_python_req_skip help_getting_started help_manual help_py_reference
%add_python_req_skip help_release_notes help_tutorials help_web_blender
%add_python_req_skip help_web_devcomm help_web_eshop help_web_usercomm hotkeys
%add_python_req_skip id_generics image_auto_layout image_billboard image_edit
%add_python_req_skip image_find_paths import_dxf import_mdd import_obj
%add_python_req_skip lightwave_export lightwave_import md2_export md2_import
%add_python_req_skip mesh_boneweight_copy mesh_cleanup mesh_edges2curves
%add_python_req_skip mesh_gradient mesh_mirror_tool mesh_poly_reduce mesh_skin
%add_python_req_skip mesh_solidify mesh_unfolder mesh_wire meshtools obdatacopier
%add_python_req_skip object_apply_def object_batch_name_edit object_cookie_cutter
%add_python_req_skip object_drop object_find object_random_loc_sz_rot
%add_python_req_skip object_sel2dupgroup off_export off_import paths_import
%add_python_req_skip ply_export ply_import raw_export raw_import
%add_python_req_skip renameobjectbyblock rvk1_torvk2 save_theme
%add_python_req_skip scripttemplate_mesh_edit scripttemplate_object_edit
%add_python_req_skip slp_import svg2obj sysinfo testbgl testcamera testcurve
%add_python_req_skip testeffect testipo testmball testtext testworld unweld
%add_python_req_skip uv_export uv_from_adjacent uv_seams_from_islands
%add_python_req_skip uvcalc_follow_active_coords uvcalc_from_adjacent
%add_python_req_skip uvcalc_lightmap uvcalc_quad_clickproj uvcalc_smart_project
%add_python_req_skip uvcopy vertexpaint_from_material vertexpaint_gradient
%add_python_req_skip vertexpaint_selfshadow_ao vrml97_export weightpaint_clean
%add_python_req_skip weightpaint_copy weightpaint_envelope_assign
%add_python_req_skip weightpaint_gradient weightpaint_grow_shrink
%add_python_req_skip weightpaint_normalize widgetwizard x3d_export xfig_export
%add_python_req_skip xsi_export

%add_verify_elf_skiplist blur.so
%add_verify_elf_skiplist color-correction-hsv.so
%add_verify_elf_skiplist color-correction-yuv.so
%add_verify_elf_skiplist gamma.so
%add_verify_elf_skiplist scatter.so
%add_verify_elf_skiplist clouds2.so
%add_verify_elf_skiplist tiles.so

%description
Blender is an integrated 3D package, which features:
   - modeling
   - animation
   - texturing
   - compositing
   - rendering
   - scripting
   - game creation

%description -l ru_RU.UTF-8
Blender - интегрированный пакет трёхмерной графики, включающий:
   - моделирование
   - анимацию
   - текстурирование
   - композиция
   - отрисовка
   - скриптование
   - создание игр

%prep
%setup -q -n %name-%version
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
cat >user-config.py <<__EOF__
BF_PYTHON_VERSION = '%__python_version'

WITH_BF_PLAYER = 'true'

WITH_BF_QUICKTIME = 'false' # -DWITH_QUICKTIME
BF_QUICKTIME = '/usr'
BF_QUICKTIME_INC = '/usr/include'
BF_QUICKTIME_LIB = 'quicktime'

WITH_BF_FFMPEG = 'true'
BF_FFMPEG = '/usr'
BF_FFMPEG_INC = '/usr/include'
BF_FFMPEG_LIBPATH='/usr/lib'
BF_FFMPEG_LIB = 'avformat avcodec avutil'

WITH_BF_ODE = 'true'
BF_ODE = '/usr'
BF_ODE_INC = '/usr/include/ode'
BF_ODE_LIB = 'ode'

WITH_BF_GAMEENGINE = 'true'

WITH_BF_INTERNATIONAL = 'true'

WITH_BF_ICONV = 'true'
BF_ICONV = '/usr/lib/gconv'
BF_ICONV_INC = '/usr/include'
BF_ICONV_LIB = ''
BF_ICONV_LIBPATH = '/usr/lib'

WITH_BF_FTGL = 'true'
BF_FTGL = '/usr'
BF_FTGL_INC = '/usr/include/FTGL'
BF_FTGL_LIB = 'ftgl'

WITH_BF_GETTEXT = 'true'
BF_GETTEXT_LIBPATH='/usr/lib'
BF_GETTEXT_INC='/usr/include'

WITH_BF_FREETYPE = 'true'
BF_FREETYPE = '/usr'
BF_FREETYPE_INC = '/usr/include/freetype2'
BF_FREETYPE_LIB = 'freetype'

BF_BUILDDIR = '../%name-%version/build/linux'
BF_INSTALLDIR='../%name-%version/release/linux'

CPPFLAGS = '-I/usr/include/python%__python_version'
__EOF__
scons

pushd release/linux/plugins
/bin/ln -s ../../../source/blender/blenpluginapi include
/bin/chmod +x bmake
%make
popd

%install
/bin/install -pD -m755 release/linux/%name %buildroot%_bindir/%name-bin
/bin/install -pD -m755 release/linux/%{name}player %buildroot%_bindir/%{name}player
sed -e 's|@LIBDIR@|%_libdir|' %SOURCE1 >wrapper.new
/bin/install -pD -m755 wrapper.new %buildroot%_bindir/%name

/bin/install -pD -m644 %SOURCE2 %buildroot%_miconsdir/%name.png
/bin/install -pD -m644 %SOURCE3 %buildroot%_niconsdir/%name.png
%if_with desktopfile
/bin/install -pD -m644 %SOURCE6 %buildroot%_desktopdir/%name.desktop
/bin/install -pD -m644 %SOURCE7 %buildroot%_desktopdir/%name-win.desktop
%else
/bin/install -pD -m644 %SOURCE4 %buildroot%_menudir/%name
/bin/install -pD -m644 %SOURCE5 %buildroot%_menudir/%name-win
%endif

/bin/install -d %buildroot%_libdir/%name/plugins/sequence
/bin/install -d %buildroot%_libdir/%name/plugins/texture
/bin/install -pD -m644 release/linux/plugins/sequence/*.so %buildroot%_libdir/%name/plugins/sequence
/bin/install -pD -m644 release/linux/plugins/texture/*.so %buildroot%_libdir/%name/plugins/texture

/bin/cp -a release/linux/.blender/scripts %buildroot%_libdir/%name/scripts
/bin/cp -a release/linux/.blender/locale %buildroot%_datadir
/bin/install -m644 bin/.blender/.Blanguages %buildroot%_libdir/%name
/bin/install -m644 bin/.blender/.bfont.ttf %buildroot%_libdir/%name
/bin/install -m644 release/VERSION %buildroot%_libdir/%name
/bin/install -m644 source/blender/python/api2_2x/doc/* %buildroot%_libdir/%name/scripts

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README release/linux/*.pdf release/linux/release_*.txt release/linux/blender.html
%_bindir/*
%if_with desktopfile
%_desktopdir/*
%else
%_menudir/*
%endif
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%dir %_libdir/%name/plugins/sequence
%dir %_libdir/%name/plugins/texture
%dir %_libdir/%name/scripts
%_libdir/%name/.bfont.ttf
%_libdir/%name/.Blanguages
%_libdir/%name/VERSION
%_libdir/%name/scripts/*
%attr(0755,root,root)%_libdir/%name/plugins/sequence/*
%attr(0755,root,root)%_libdir/%name/plugins/texture/*
%_niconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Mon Oct 22 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.45-alt0.M40.2
- Build for branch40

* Mon Oct 22 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.45-alt2
- Fix owner/group of plugins

* Sat Oct 13 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.45-alt1
- New version
- Fix temp dir
- Move user defaults file from ~ to ~/.blender
- Fix plugin rights
- Fix execution script
- Fix verify_elf
- Set hard depend to python2.4

* Tue Sep 11 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.44-alt4
- Fix python dependencies
    
* Fri Jun 29 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.44-alt3
- Swap windowed and fullscreen mode
	
* Sat May 26 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.44-alt2
- Cleaning .spec
- Add russian description
- Fix build process

* Mon May 14 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.44-alt1
- New version
- Replace illegal Requires with right stuff
- Fix 'blender' script for x86_64

* Mon Mar 12 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.43-alt2
- Fix Provides/Requires section

* Sat Feb 24 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.43-alt1
- New version

* Thu Feb 15 2007 Sergei Epiphanov <serpiph@altlinux.ru> 2.42-alt4
- Add selection between desktop and menu files
- Add blender startup in window mode

* Thu Dec 14 2006 Sergei Epiphanov <serpiph@altlinux.ru> 2.42-alt3
- rebuild

* Wed Sep 20 2006 Sergei Epiphanov <serpiph@altlinux.ru> 2.42-alt2
- fixing error in build

* Sun Sep 10 2006 Sergei Epiphanov <serpiph@altlinux.ru> 2.42-alt1
- New version

* Fri Sep 08 2006 Sergei Epiphanov <serpiph@altlinux.ru> 2.41-alt2
- Fixing load of libtiff4.

* Sat Mar 04 2006 Sergei Epiphanov <serpiph@altlinux.ru> 2.41-alt1
- New version
- Cleanup spec for X.Org 7.0

* Fri Mar 03 2006 Sergei Epiphanov <serpiph@altlinux.ru> 2.40-alt3
- Correcting spec (correcting icons dir).

* Wed Dec 28 2005 Sergei Epiphanov <serpiph@altlinux.ru> 2.40-alt2
- Correction of blender.menu file

* Mon Dec 26 2005 Sergei Epiphanov <serpiph@altlinux.ru> 2.40-alt1
- New version

* Wed Mar 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.36-alt1.1
- Rebuilt with python-2.4.

* Sun Jan 30 2005 Andrey Astafiev <andrei@altlinux.ru> 2.36-alt1
- 2.36
- Some features incorporated from Debian package.

* Mon Mar 01 2004 Kachalov Anton <mouse@altlinux.ru> 2.32-alt1
- new version 2.32

* Sun Dec 28 2003 Kachalov Anton <mouse@altlinux.ru> 2.30-alt1
- new version 2.30

* Wed Sep 17 2003 Kachalov Anton <mouse@altlinux.ru> 2.28a-alt1
- new version 2.28a

* Tue Jun 24 2003 Kachalov Anton <mouse@altlinux.ru> 2.27-alt1
- new version 2.27

* Mon Jan 20 2003 Kachalov Anton <mouse@altlinux.ru> 2.25b-alt2
- fixed buildrequires

* Tue Nov 12 2002 Kachalov Anton <mouse@altlinux.ru> 2.25b-alt1
- build for Sisyphus
